var Pag30000_RetornoDDA_Controller = function(ScreenService, templateManager,General, ZHPromise, Pag00200_RetornoPagamento_Service){

	this.importaRetornoDDA = function(widget){
		if (widget.isValid()){
			var route = 'fin_contaPagar#/importaRetornoDDA';
			var arqRetorno = widget.currentRow.DSARQUIVO[0];
			var conteudoArquivo = arqRetorno.b64File.split(',')[1];
			var row = {
        	    'CDBANCO': widget.currentRow.CDBANCO,
        	    'CDBANCCNAB': widget.currentRow.CDBANCCNAB,
				'ARQUIVO': conteudoArquivo
			};
			General.callRestEngine(route, 'Row', row)
				.then(function(response){
					if (response.dataset.retornoDDA[0].length > 0){
						ScreenService.showMessage('Atenção! Existem inconsistências no arquivo de retorno, verifique na tela de Validação DDA.');
						/*var report = 'InconsistenciasDDA';
        	            var routeReport = 'fin_contaPagar#/' + report;
        	            var row = {};
						General.openReport(routeReport, report, row);*/
					}else{
                        ScreenService.showMessage('Não existem inconsistências no arquivo de retorno.');
                    }
				}.bind(this))
				.catch(function(erro){
					ScreenService.showMessage(erro.data.error);
				});
		}
	};
};

Configuration(function (ContextRegister){
    ContextRegister.register('Pag30000_RetornoDDA_Controller', Pag30000_RetornoDDA_Controller);
});